%define lib_name %mklibname %{name} 2

%define ver %{version}beta

Name: 			aqhbci
Summary:		The HBCI backend for the Aqbanking library
Version:		1.0.9
#Release: 		1mdk
%define rel		1
%define release		%{rel}.%{distsuffix}%{distversion}
Release:		%{release}

Source: http://prdownloads.sourceforge.net/aqhbci/%{name}-%{ver}.tar.bz2
Group: System/Libraries
License: GPL
URL: http://sourceforge.net/projects/aqhbci
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libgwenhywfar-devel >= 1.13.0
BuildRequires: libaqbanking-devel >= 1.0.10

%description 
This is the backend for the Aqbanking library which 
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. 

%package -n %{lib_name}
Summary: Library for HBCI backend for Aqbanding
Group: System/Libraries
Requires: %name >= %version

%description -n %{lib_name}
This is the backend for the Aqbanking library which 
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. 

%package -n %{lib_name}-devel
Summary: Aqhbci development kit
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains aqhbci-config and header files for writing and
compiling programs using Aqhbci.

%prep
%setup -q -n %{name}-%{ver}

%build
%configure2_5x

#parallel compilation must be disabled
#otherwise build will be linked with system libraries
#not the package one
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#remove non packaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*/plugins/*/*/*.a

%find_lang %{name}
#gw fix invalid directory references
find %buildroot -name \*.la |xargs perl -pi -e "s-L$RPM_BUILD_DIR/%name-%ver/src/libs"

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/aqhbci-tool
%{_bindir}/hbcixml2
%{_libdir}/%{name}
%{_libdir}/aqbanking/plugins/*
%{_datadir}/%{name}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/aqhbci-config
%{_includedir}/aqhbci
%{_libdir}/*.so
%{_libdir}/*.la
%{_datadir}/aclocal/aqhbci.m4

%changelog
* Thu Jun 02 2005 AndyRTR <andreas.radke@freenet.de> 1.0.9-1rtr
- rebuild for Mandriva 2005LE

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 1.0.9-1mdk
- update file list
- bump deps
- source URL
- new version

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 1.0.8-1mdk
- bump deps
- new version

* Wed Apr 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-0.beta.1mdk 
- Release 1.0.4beta

* Fri Dec 31 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.14-0.beta.2mdk
- add BuildRequires: libgwenhywfar-devel libaqbanking-devel

* Tue Dec 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.14-0.beta.1mdk 
- First mandrakelinux package

